import { Request, Response } from 'express';
import { AdRecord } from '../records/ad.record';
import { AdEntity } from '../types';


export class AdsController {
  static async add(req: Request, res: Response) {
    const newAdReq = req.body;
    console.log(newAdReq);
    const ad = new AdRecord(newAdReq);
    await ad.insert();
    res.json({ success: true, ad });
  }

  static async getOne(req: Request, res: Response) {
    const { adId } = req.params;
    console.log('siema', adId);
    const ad = await AdRecord.getOneById(adId);
    res.json({ success: true, ad });
  }

  static async searchAll(req: Request, res: Response) {
    const { q } = req.query;
    const ads = await AdRecord.searchAll(q as string);
    res.json({ success: true, ads });
  }

  static async delete(req: Request, res: Response) {
    const { adId } = req.params;
    await AdRecord.deleteOne(adId);
    res.json({ success: true });
  }

  static async update(req: Request, res: Response) {
    const { adId } = req.params;
    const editedAdReq = req.body as AdEntity;
    const ad = await AdRecord.getOneById(adId);
    Object.keys(editedAdReq).forEach((key) => {
      // @ts-ignore
      ad[key] = editedAdReq[key];
    });
    await ad.update();
    res.json({ success: true, ad });
  }
}
