"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.adsRouter = void 0;
const express_1 = require("express");
const ads_controller_1 = require("../controllers/ads.controller");
const verifyAccessToken_1 = require("../middleware/verifyAccessToken");
exports.adsRouter = (0, express_1.Router)();
exports.adsRouter.route('/')
    .get(ads_controller_1.AdsController.searchAll)
    .post(verifyAccessToken_1.verifyAccessToken, ads_controller_1.AdsController.add);
exports.adsRouter.route('/:adId')
    .get(ads_controller_1.AdsController.getOne)
    .delete(verifyAccessToken_1.verifyAccessToken, ads_controller_1.AdsController.delete)
    .patch(verifyAccessToken_1.verifyAccessToken, ads_controller_1.AdsController.update);
//# sourceMappingURL=ads.routes.js.map