"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.handleError = exports.CustomError = void 0;
class CustomError extends Error {
    constructor(message, status = 400) {
        super(message);
        this.message = message;
        this.status = status;
    }
}
exports.CustomError = CustomError;
const handleError = (err, req, res, next) => {
    if (err instanceof CustomError) {
        res.status(err.status).json({
            success: false,
            message: err.message,
        });
    }
    else {
        res.status(500).json({
            success: false,
            message: 'Sorry, something went wrong. We are already trying to fix it. Please try again later.',
        });
    }
};
exports.handleError = handleError;
//# sourceMappingURL=handleError.js.map