import { NextFunction, Request, Response } from 'express';
import { verify } from 'jsonwebtoken';
import { CustomError } from '../utils/handleError';
import { config } from '../config/config';

export const verifyAccessToken = (req: Request, res: Response, next: NextFunction) => {
  try {
    const accessToken = req.headers['authorization']?.split(' ')[1];
    console.log({ accessToken });
    const { id } = verify(accessToken, config.ACCESS_TOKEN_SECRET) as { id: string };
    next();
  } catch (e) {
    console.log(e.message);
    if (e.message.includes('invalid token'))
      throw new CustomError('Unathorized', 401);
    throw new CustomError('No access token or expired', 403);
  }
};