import { Router } from 'express';
import { AdsController } from '../controllers/ads.controller';
import { verifyAccessToken } from '../middleware/verifyAccessToken';

export const adsRouter = Router();

adsRouter.route('/')
  .get(AdsController.searchAll)
  .post(verifyAccessToken, AdsController.add);

adsRouter.route('/:adId')
  .get(AdsController.getOne)
  .delete(verifyAccessToken, AdsController.delete)
  .patch(verifyAccessToken, AdsController.update);