"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AdsController = void 0;
const ad_record_1 = require("../records/ad.record");
class AdsController {
    static add(req, res) {
        return __awaiter(this, void 0, void 0, function* () {
            const newAdReq = req.body;
            console.log(newAdReq);
            const ad = new ad_record_1.AdRecord(newAdReq);
            yield ad.insert();
            res.json({ success: true, ad });
        });
    }
    static getOne(req, res) {
        return __awaiter(this, void 0, void 0, function* () {
            const { adId } = req.params;
            console.log('siema', adId);
            const ad = yield ad_record_1.AdRecord.getOneById(adId);
            res.json({ success: true, ad });
        });
    }
    static searchAll(req, res) {
        return __awaiter(this, void 0, void 0, function* () {
            const { q } = req.query;
            const ads = yield ad_record_1.AdRecord.searchAll(q);
            res.json({ success: true, ads });
        });
    }
    static delete(req, res) {
        return __awaiter(this, void 0, void 0, function* () {
            const { adId } = req.params;
            yield ad_record_1.AdRecord.deleteOne(adId);
            res.json({ success: true });
        });
    }
    static update(req, res) {
        return __awaiter(this, void 0, void 0, function* () {
            const { adId } = req.params;
            const editedAdReq = req.body;
            const ad = yield ad_record_1.AdRecord.getOneById(adId);
            Object.keys(editedAdReq).forEach((key) => {
                // @ts-ignore
                ad[key] = editedAdReq[key];
            });
            yield ad.update();
            res.json({ success: true, ad });
        });
    }
}
exports.AdsController = AdsController;
//# sourceMappingURL=ads.controller.js.map