"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.verifyAccessToken = void 0;
const jsonwebtoken_1 = require("jsonwebtoken");
const handleError_1 = require("../utils/handleError");
const verifyAccessToken = (req, res, next) => {
    var _a;
    try {
        const accessToken = (_a = req.headers['authorization']) === null || _a === void 0 ? void 0 : _a.split(' ')[1];
        console.log({ accessToken });
        const { id } = (0, jsonwebtoken_1.verify)(accessToken, process.env.ACCESS_TOKEN_SECRET);
        next();
    }
    catch (e) {
        console.log(e.message);
        if (e.message.includes('invalid token'))
            throw new handleError_1.CustomError('Unathorized', 401);
        throw new handleError_1.CustomError('No access token or expired', 403);
    }
};
exports.verifyAccessToken = verifyAccessToken;
//# sourceMappingURL=verifyAccessToken.js.map